## org.eclipse.ocl.cst.impl
Class StringLiteralExpCSImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.cst.impl.CSTNodeImpl
                      org.eclipse.ocl.cst.impl.OCLExpressionCSImpl
                          org.eclipse.ocl.cst.impl.LiteralExpCSImpl
                              org.eclipse.ocl.cst.impl.PrimitiveLiteralExpCSImpl
                                  org.eclipse.ocl.cst.impl.StringLiteralExpCSImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CSTNode, LiteralExpCS, OCLExpressionCS, PrimitiveLiteralExpCS, StringLiteralExpCS

    public class StringLiteralExpCSImpl

extends PrimitiveLiteralExpCSImpl
implements StringLiteralExpCS

An implementation of the model object 'String Literal Exp CS'.

The following features are implemented:

- `String Symbol`
- `Unescaped String Symbol`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static String` `STRING_SYMBOL_EDEFAULT` The default value of the '`String Symbol`' attribute
`protected String` `stringSymbol` The cached value of the '`String Symbol`' attribute
`protected static String` `UNESCAPED_STRING_SYMBOL_EDEFAULT` The default value of the '`Unescaped String Symbol`' attribute
`protected String` `unescapedStringSymbol` The cached value of the '`Unescaped String Symbol`' attribute

Fields inherited from class org.eclipse.ocl.cst.impl.PrimitiveLiteralExpCSImpl
`symbol, SYMBOL_EDEFAULT`

Fields inherited from class org.eclipse.ocl.cst.impl.CSTNodeImpl
`ast, AST_EDEFAULT, END_OFFSET_EDEFAULT, END_TOKEN_EDEFAULT, endOffset, endToken, START_OFFSET_EDEFAULT, START_TOKEN_EDEFAULT, startOffset, startToken`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `StringLiteralExpCSImpl()`

Method Summary
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`String` `getStringSymbol()`
`String` `getUnescapedStringSymbol()`
`void` `setStringSymbol(String newStringSymbol)`
`void` `setUnescapedStringSymbol(String newUnescapedStringSymbol)`
`String` `toString()`

Methods inherited from class org.eclipse.ocl.cst.impl.PrimitiveLiteralExpCSImpl
`getSymbol, setSymbol`

Methods inherited from class org.eclipse.ocl.cst.impl.CSTNodeImpl
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.cst.PrimitiveLiteralExpCS
`getSymbol, setSymbol`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### STRING_SYMBOL_EDEFAULT

    protected static final String STRING_SYMBOL_EDEFAULT

  The default value of the '`String Symbol`' attribute.

  See Also:
    `getStringSymbol()`

### stringSymbol

    protected String stringSymbol

  The cached value of the '`String Symbol`' attribute.

  See Also:
    `getStringSymbol()`

### UNESCAPED_STRING_SYMBOL_EDEFAULT

    protected static final String UNESCAPED_STRING_SYMBOL_EDEFAULT

  The default value of the '`Unescaped String Symbol`' attribute.

  Since:
    1.3
  See Also:
    `getUnescapedStringSymbol()`

### unescapedStringSymbol

    protected String unescapedStringSymbol

  The cached value of the '`Unescaped String Symbol`' attribute.

  Since:
    1.3
  See Also:
    `getUnescapedStringSymbol()`

Constructor Detail

### StringLiteralExpCSImpl

    protected StringLiteralExpCSImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `PrimitiveLiteralExpCSImpl`

### getStringSymbol

    public String getStringSymbol()

  Specified by:
    `getStringSymbol` in interface `StringLiteralExpCS`
  Returns:
    the value of the 'String Symbol' attribute.
  See Also:
    `StringLiteralExpCS.setStringSymbol(String)`, `CSTPackage.getStringLiteralExpCS_StringSymbol()`

### setStringSymbol

    public void setStringSymbol(String newStringSymbol)

  Specified by:
    `setStringSymbol` in interface `StringLiteralExpCS`
  Parameters:
    `newStringSymbol` - the new value of the 'String Symbol' attribute.
  See Also:
    `StringLiteralExpCS.getStringSymbol()`

### getUnescapedStringSymbol

    public String getUnescapedStringSymbol()

  Specified by:
    `getUnescapedStringSymbol` in interface `StringLiteralExpCS`
  Returns:
    the value of the 'Unescaped String Symbol' attribute.
  Since:
    1.3
  See Also:
    `StringLiteralExpCS.setUnescapedStringSymbol(String)`, `CSTPackage.getStringLiteralExpCS_UnescapedStringSymbol()`

### setUnescapedStringSymbol

    public void setUnescapedStringSymbol(String newUnescapedStringSymbol)

  Specified by:
    `setUnescapedStringSymbol` in interface `StringLiteralExpCS`
  Parameters:
    `newUnescapedStringSymbol` - the new value of the 'Unescaped String Symbol' attribute.
  Since:
    1.3
  See Also:
    `StringLiteralExpCS.getUnescapedStringSymbol()`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `PrimitiveLiteralExpCSImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `PrimitiveLiteralExpCSImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `PrimitiveLiteralExpCSImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `PrimitiveLiteralExpCSImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `PrimitiveLiteralExpCSImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.